CVE-2012-2376

Impact:
Low
Public Date:
2012-05-19
Bugzilla:
823464: CVE-2012-2376 php: Buffer overflow in com_print_typeinfo() by parsing certain variant types

The MITRE CVE dictionary describes this issue as:

Buffer overflow in the com_print_typeinfo function in PHP 5.4.3 and earlier on Windows allows remote attackers to execute arbitrary code via crafted arguments that trigger incorrect handling of COM object VARIANT types, as exploited in the wild in May 2012.

Find out more about CVE-2012-2376 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Not vulnerable. This flaw is specific to PHP instances, running on Microsoft Windows platform.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 5.1
Base Metrics AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 6 php Not affected
Red Hat Enterprise Linux 5 php Not affected
Red Hat Enterprise Linux 5 php53 Not affected
Last Modified

CVE description copyright © 2017, The MITRE Corporation